package store_test

import (
	"testing"

	"git.t-juice.club/torjus/apiary/honeypot/ssh/store"
)

func TestMemoryStore(t *testing.T) {
	s := &store.MemoryStore{}
	testLoginAttemptStore(s, t)
}
func TestMemoryStoreWithCache(t *testing.T) {
	backend := &store.MemoryStore{}
	s := store.NewCachingStore(backend)
	testLoginAttemptStore(s, t)
}

func BenchmarkMemoryStore(b *testing.B) {
	setupFunc := func() store.LoginAttemptStore {
		return &store.MemoryStore{}
	}
	benchmarkLoginAttemptStore(setupFunc, b)
}
